package com.utopiaindustries.selftrucking.Activities.dashboardScreens.apiservice;

import com.utopiaindustries.selftrucking.models.Container;
import com.utopiaindustries.selftrucking.models.DriverResponse;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Path;
import retrofit2.http.Query;

public interface ApiService {
    @GET("rest/uic/inspection-report")
    Call<List<Container>> fetchAllReports(
            @Query("username") String username
    );

    @GET("rest/application/authenticate-user")
    Call<DriverResponse> isUserAuthenticated(
            @Query("username") String username,
            @Query("password") String password
    );

    /*
    * @POST("rest/authentication/authenticate-user")
   Call<Boolean> isUserAuthenticated(
           @Query("username") String username,
           @Query("password") String password,
           @Query("roles") String[] roles
   );
    * */
}


