package com.utopiaindustries.selftrucking.Activities.dashboardScreens.apiservice;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class RetrofitClient {

    private final static String BASE_URL = "http://192.168.90.228:8080/cosmos/";//"http://192.168.90.27:8080/uind/";

    private static Retrofit retrofit;

    public synchronized static Retrofit getClient() {

        Gson gson = new GsonBuilder()
                //.registerTypeAdapter(Boolean.class, new BooleanTypeAdapter())
                .create();

        if (retrofit == null) {
            try {
                retrofit = new Retrofit.Builder()
                        .baseUrl(BASE_URL)
                        //.client( SSLCheckHttpClient.getOkHttpClient() )
                        .addConverterFactory(GsonConverterFactory.create(gson))
                        .build();
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        }
        return retrofit;
    }
}
